/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

using namespace vcg; 

void MainForm::fileNew()
{
	InitDialog *inid= new InitDialog();
	if(inid->exec()){
			int vx =inid->spinBoxXSize->value();
			int vy =inid->spinBoxYSize->value();	
			sg.g->resize(vx,vy);
			QString buf;
			textGridSize->setText(buf.sprintf("Grid size %i x %i",vx,vy));
			}

}


void MainForm::fileOpen()
{

}


void MainForm::fileSave()
{
    QImage myimg=GLView->grabFrameBuffer();
    myimg.save("QTMoebiusSnapshot.png","PNG");
		QMessageBox::information( this, "QTMoebius","Saved snapshot");
}


void MainForm::fileSaveAs()
{

}


void MainForm::filePrint()
{

}


void MainForm::fileExit()
{

}

void MainForm::init()
{
	idleTimer.changeInterval(0);
	connect(&idleTimer, SIGNAL(timeout()),GLView,SLOT(update()));
	sg.g=new CIGridNode();
	sg.root.Sons.push_back(sg.g);
	GLView->sg=&sg;
	sg.g->setTexture("data/tile.png");
	CICubeMapNode *cm=new CICubeMapNode();
	cm->textureBaseName="data/uffizi.jpg";
	sg.root.Sons.push_back(cm);
}


void MainForm::helpIndex()
{

}


void MainForm::helpContents()
{
}


void MainForm::helpAbout()
{

}







void MainForm::editGridSize()
{
    int ret=QMessageBox::question(this,"Changing ground size","Do you really want to change the size of the ground? It will destroy the geometry!",QMessageBox::Yes,QMessageBox::Cancel);
    if(ret==QMessageBox::Yes) fileNew();

}
